---
title: Service Level Objectives
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Service Level Objectives
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Service Level Objectives

[Service Level Objectives](https://docs.datadoghq.com/monitors/service_level_objectives.md#configuration) (or SLOs) are a key part of the site reliability engineering toolkit. SLOs provide a framework for defining clear targets around application performance, which ultimately help teams provide a consistent customer experience, balance feature development with platform stability, and improve communication with internal and external users.

## [Create an SLO object →](https://docs.datadoghq.com/api/latest/service-level-objectives/create-an-slo-object.md){% #create-an-slo-object %}

| Datadog site      | API endpoint                                  |
| ----------------- | --------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v1/slo |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v1/slo |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v1/slo      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v1/slo      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v1/slo  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v1/slo |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v1/slo     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v1/slo |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v1/slo |

## [Get all SLOs →](https://docs.datadoghq.com/api/latest/service-level-objectives/get-all-slos.md){% #get-all-slos %}

| Datadog site      | API endpoint                                 |
| ----------------- | -------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/slo |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/slo |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/slo      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/slo      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/slo  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v1/slo |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/slo     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/slo |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/slo |

## [Update an SLO →](https://docs.datadoghq.com/api/latest/service-level-objectives/update-an-slo.md){% #update-an-slo %}

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v1/slo/{slo_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v1/slo/{slo_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v1/slo/{slo_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v1/slo/{slo_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v1/slo/{slo_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v1/slo/{slo_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v1/slo/{slo_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v1/slo/{slo_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v1/slo/{slo_id} |

## [Get an SLO's details →](https://docs.datadoghq.com/api/latest/service-level-objectives/get-an-slos-details.md){% #get-an-slos-details %}

| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/slo/{slo_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/slo/{slo_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/slo/{slo_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/slo/{slo_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/slo/{slo_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v1/slo/{slo_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/slo/{slo_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/slo/{slo_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/slo/{slo_id} |

## [Delete an SLO →](https://docs.datadoghq.com/api/latest/service-level-objectives/delete-an-slo.md){% #delete-an-slo %}

| Datadog site      | API endpoint                                             |
| ----------------- | -------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v1/slo/{slo_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v1/slo/{slo_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v1/slo/{slo_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v1/slo/{slo_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v1/slo/{slo_id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v1/slo/{slo_id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v1/slo/{slo_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v1/slo/{slo_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v1/slo/{slo_id} |

## [Get Corrections For an SLO →](https://docs.datadoghq.com/api/latest/service-level-objectives/get-corrections-for-an-slo.md){% #get-corrections-for-an-slo %}

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/slo/{slo_id}/corrections |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/slo/{slo_id}/corrections |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/slo/{slo_id}/corrections      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/slo/{slo_id}/corrections      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/slo/{slo_id}/corrections  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v1/slo/{slo_id}/corrections |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/slo/{slo_id}/corrections     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/slo/{slo_id}/corrections |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/slo/{slo_id}/corrections |

## [Get an SLO's history →](https://docs.datadoghq.com/api/latest/service-level-objectives/get-an-slos-history.md){% #get-an-slos-history %}

| Datadog site      | API endpoint                                                  |
| ----------------- | ------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/slo/{slo_id}/history |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/slo/{slo_id}/history |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/slo/{slo_id}/history      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/slo/{slo_id}/history      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/slo/{slo_id}/history  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v1/slo/{slo_id}/history |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/slo/{slo_id}/history     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/slo/{slo_id}/history |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/slo/{slo_id}/history |

## [Check if SLOs can be safely deleted →](https://docs.datadoghq.com/api/latest/service-level-objectives/check-if-slos-can-be-safely-deleted.md){% #check-if-slos-can-be-safely-deleted %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/slo/can_delete |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/slo/can_delete |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/slo/can_delete      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/slo/can_delete      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/slo/can_delete  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v1/slo/can_delete |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/slo/can_delete     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/slo/can_delete |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/slo/can_delete |

## [Bulk Delete SLO Timeframes →](https://docs.datadoghq.com/api/latest/service-level-objectives/bulk-delete-slo-timeframes.md){% #bulk-delete-slo-timeframes %}

| Datadog site      | API endpoint                                              |
| ----------------- | --------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v1/slo/bulk_delete |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v1/slo/bulk_delete |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v1/slo/bulk_delete      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v1/slo/bulk_delete      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v1/slo/bulk_delete  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v1/slo/bulk_delete |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v1/slo/bulk_delete     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v1/slo/bulk_delete |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v1/slo/bulk_delete |

## [Search for SLOs →](https://docs.datadoghq.com/api/latest/service-level-objectives/search-for-slos.md){% #search-for-slos %}

| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v1/slo/search |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v1/slo/search |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v1/slo/search      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v1/slo/search      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v1/slo/search  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v1/slo/search |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v1/slo/search     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v1/slo/search |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v1/slo/search |

## [Create a new SLO report →](https://docs.datadoghq.com/api/latest/service-level-objectives/create-a-new-slo-report.md) deprecated preview{% #create-a-new-slo-report %}

| Datadog site      | API endpoint                                         |
| ----------------- | ---------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/slo/report |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/slo/report |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/slo/report      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/slo/report      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/slo/report  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/slo/report |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/slo/report     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/slo/report |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/slo/report |

## [Get SLO report status →](https://docs.datadoghq.com/api/latest/service-level-objectives/get-slo-report-status.md) deprecated preview{% #get-slo-report-status %}

| Datadog site      | API endpoint                                                           |
| ----------------- | ---------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/slo/report/{report_id}/status |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/slo/report/{report_id}/status |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/slo/report/{report_id}/status      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/slo/report/{report_id}/status      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/slo/report/{report_id}/status  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/slo/report/{report_id}/status |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/slo/report/{report_id}/status     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/slo/report/{report_id}/status |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/slo/report/{report_id}/status |

## [Get SLO report →](https://docs.datadoghq.com/api/latest/service-level-objectives/get-slo-report.md) deprecated preview{% #get-slo-report %}

| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/slo/report/{report_id}/download |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/slo/report/{report_id}/download |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/slo/report/{report_id}/download      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/slo/report/{report_id}/download      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/slo/report/{report_id}/download  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/slo/report/{report_id}/download |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/slo/report/{report_id}/download     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/slo/report/{report_id}/download |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/slo/report/{report_id}/download |

## [Get SLO status →](https://docs.datadoghq.com/api/latest/service-level-objectives/get-slo-status.md) preview{% #get-slo-status %}

| Datadog site      | API endpoint                                                 |
| ----------------- | ------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/slo/{slo_id}/status |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/slo/{slo_id}/status |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/slo/{slo_id}/status      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/slo/{slo_id}/status      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/slo/{slo_id}/status  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/slo/{slo_id}/status |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/slo/{slo_id}/status     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/slo/{slo_id}/status |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/slo/{slo_id}/status |
